Results 1 to 3 of 3

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: need to restore without updating to 4.3.5 on iTunes 10.4

  1. #1
    Default need to restore without updating to 4.3.5 on iTunes 10.4
    for some reason my Cydia app really starting messing up today so i deleted it and tried to reinstall it but it keeps giving me a message about my "internal error with my dictionary and some other stuff" when i try to reinstall it and on top of that all of my contacts where deleted so i need to restore to 4.3.3 without updating to 4.3.5 so i can keep it jailbroken. i have 4.3.3 now. and when i try the easy and obvious solution which is dl 4.3.3 ipsw firmware and install it manually with option and choosing it thru iTunes 10.4 it tells me that "the iPhone could not be restored. it is not eligible for the requested build" any help bc i really don't want to upgrade and there is no jailbreak available for 4.3.5

  2. #2
    u cant restore like that anymore... apple automatically restores to latest firmware...
    best bet, d/l tiny umbrella/ifaith shsh your blob now... then restore to the latest firmware then downgrade and re jailbreak... yes it's tedious but it's the only way to get a fresh restore of 4.3.3, i found out the hard way myself.

  3. #3
    iPhone? More like MyPhone Ozzie5374's Avatar
    Join Date
    Jan 2011
    Location
    Country South Australia
    Posts
    194
    Thanks
    0
    Thanked 4 Times in 4 Posts

    [QUOTE=Aceklub;6179162]for some reason my Cydia app really starting messing up today so i deleted it and tried to reinstall it but it keeps giving me a message about my "internal error with my dictionary and some other stuff" when i try to reinstall it and on top of that all of my contacts where deleted so i need to restore to 4.3.3 without updating to 4.3.5 so i can keep it jailbroken. i have 4.3.3 now. and when i try the easy and obvious solution which is dl 4.3.3 ipsw firmware and install it manually with option and choosing it thru iTunes 10.4 it tells me that "the iPhone could not be restored. it is not eligible for the requested build" any help bc i really don't want to upgrade and there is no jailbreak available for 4.3.5.
    Does using iTunes 10.4.1 make it not possible?? I see other references say 10.4?

    Hi folks. Hey I'm in much the same boat. I had 4.2.1 JB that was refusing to let me download iTunes Apps or indeed sync some Apps from Mac so I did a restore to factory - 4.3.5 but have so far been unsuccessful downgrading to 4.3.3 even though there's heaps of "how to" advice. Been 3 days now and haven't given up but really missing my JB. Any words of encouragement?
    Last edited by Ozzie5374; 09-10-2011 at 04:45 PM.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •